Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 26 Nov 2014, 03:53
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
alphaOS [closed]
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 16 of 47 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, ..., 45, 46, 47 Next
Author Message
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 03:52    Post_subject:  

Logout dialog in xfce did not work for reboot and shutdown, so I replaced that with my old logout script written in yad. To use this new version just reinstall package xfce4-session- clean packages cache first with: spkg -cc
Back to top
View user's profile Send_private_message Visit_website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 03:54    Post_subject: Re: win32 codec  

ndrancs wrote:
perhaps this codec?
http://www.mplayerhq.hu/MPlayer/releases/codecs/

You mean this all-20110131.tar.bz2 (25MB)

I extracted files to /usr/lib/codecs as suggested in README, but still wma not working
Code:
[root@alphaos test_media]# mplayer testing.wma
MPlayer2 UNKNOWN (C) 2000-2012 MPlayer Team

Playing testing.wma.
Detected file format: asf (libavformat)
[lavf] stream 0: audio (wmav2), -aid 0, -alang eng
Clip info:
 WM/ToolName: Cool Edit Pro
 WM/ToolVersion: 2.01.3097.0
 WMFSDKVersion: 9.00.00.2980
 WMFSDKNeeded: 0.0.0.0000
 IsVBR: 0
 DeviceConformanceTemplate: L2
 WM/WMADRCPeakReference: 23197
 WM/WMADRCAverageReference: 3216
Load subtitles in .
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
Unsupported sample format
Unsupported sample format
ADecoder init failed :(
Could not open audio decoder ffmpeg.
Opening audio decoder: [dmo] Win32/DMO decoders
AUDIO: 44100 Hz, 1 ch, ??, 48.0 kbit/6.81% (ratio: 6003->88200)
Selected audio codec: [wmadmo] afm: dmo (Windows Media Audio DMO)
==========================================================================
[AO_ALSA] Format ?? is not supported by hardware, trying default.
AO: [alsa] 48000Hz 1ch s16le (2 bytes per sample)
[format] The number of bytes per sample must be 1, 2, 3 or 4. Current value is 8
Couldn't find matching filter/ao format!
Audio: no sound
Video: no video


Exiting... (End of file)
Back to top
View user's profile Send_private_message Visit_website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 06:02    Post_subject:  

New window manager packages:
pekwm-0.1.16-2.spkg
jwm-724-2.spkg
icewm-1.3.7-3.spkg
fluxbox-1.3.5-2.spkg
fbpanel-6.1-3.spkg

fluxbox and jwm are "fixed" to use sakura as the default terminal, /root/.start as for openbox is still usable for every other window manager, you can comment tint2 (add # before) and install fbpanel if you want panel with a menu.
Back to top
View user's profile Send_private_message Visit_website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Mon 08 Apr 2013, 07:36    Post_subject: Re: Print  

Arefacti wrote:
I want to print with a lexmark S305 wifi, and the lexmark_inkjet_legacy-1.0.1.pet was working perfectly.


Update: I have removed the HP and Epson drivers from the package. You can now install them with the usual PETs.

AlphaOS has CUPS 1.4.8, but the rest of the printing system is in the downloadable package print_scan_alphaos-4.0.tar.gz from here. Click the smaller Download button on the LEFT.

1. Download the package to a temporary location.
2. Click on the file to extract it.
3. Inside, you will find a folder containing the individual components and a script named install.sh
4. Press F4 to open a terminal.
5. Run: sh install.sh
6. Look in Menu > Applications > System Tools for Manage CUPS Printers and in Menu > Applications > Graphics for Peasyscan.

The system has built-in Gutenprint drivers and a basic set of SANE scanner backends. But you can also install many of the print/scan driver PETs from here. Use the command ppet - the Puppy Package Extraction Tool. For example:
Code:
ppet brother_hl2070n-2.0.pet


You can also use ppet to install any of the PeasyApps listed here.

If you install this package, please provide feedback.

------------------------------------------

Edited_times_total
Back to top
View user's profile Send_private_message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 08:43    Post_subject: Re: Print  

Thanks rcrsn51, I have updated first post with link to your printing system.
Back to top
View user's profile Send_private_message Visit_website 
ndrancs


Joined: 02 Apr 2013
Posts: 40

PostPosted: Mon 08 Apr 2013, 09:08    Post_subject: Re: Print  

simargl wrote:
Thanks rcrsn51, I have updated first post with link to your printing system.


which one is better? inserted into the main iso or created as spkg?
Back to top
View user's profile Send_private_message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Mon 08 Apr 2013, 11:38    Post_subject: Re: Print  

rcrsn51 wrote:
Arefacti wrote:
I want to print with a lexmark S305 wifi, and the lexmark_inkjet_legacy-1.0.1.pet was working perfectly.

AlphaOS has CUPS 1.4.8, but the rest of the printing system is in the downloadable package print_scan_alphaos-3.0.tar.gz from here. Click the smaller Download button on the LEFT.

1. Download the package to a temporary location.
2. Click on the file to extract it.
3. Inside, you will find a folder containing the individual components and a script named install.sh
4. Press F4 to open a terminal.
5. Run: sh install.sh
6. Look in Menu > Applications > System Tools for Manage CUPS Printers and in Menu > Applications > Graphics for Peasyscan.

The printing system has built-in Gutenprint, HP and Epson drivers and a basic set of SANE scanner backends. But you can also install many of the print/scan driver PETs from here. Use the command ppet - the Puppy Package Extraction Tool. For example:
Code:
ppet brother_hl2070n-2.0.pet

I did a quick test with the Lexmark driver and it looks OK.

You can also use ppet to install any of the PeasyApps listed here.


Hello rcrsn51,
thanks for your job.
Try to install the lexmark pet, seems that there is problem :

Code:
ppet lexmark_inkjet_legacy-1.0.1.pet
1+0 records in
1+0 records out
4161504 bytes (4,2 MB) copied, 0,382718 s, 10,9 MB/s

gzip: stdin: unexpected end of file
tar: Fin prématurée rencontrée dans l'archive.
tar: Fin prématurée rencontrée dans l'archive.
tar: Error is not recoverable: exiting now
Done


BUT, when I try to install my print the Lexmark Pro S300 appears.

unfortunately, this one don't work :

Code:
Print Test Page lexmark Error

Unable to print test page:

Unsupported format 'application/vnd.cups-banner'!
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Mon 08 Apr 2013, 12:06    Post_subject: Re: Print  

Arefacti wrote:
Try to install the lexmark pet, seems that there is problem

I downloaded the lexmark_inkjet_legacy-1.0.1.pet and ppet extracted it cleanly. Maybe you got a bad download. It should be 10 MB but it looks like you only got 4 MB.

Quote:
Unsupported format 'application/vnd.cups-banner'!

Which alphaOS version are you using? I checked this in version 3 and test pages printed OK.

However, since your driver download is corrupted, it's impossible to know what is going wrong.

[Edit] I checked printing in version 4 and everything looks OK.
Back to top
View user's profile Send_private_message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Mon 08 Apr 2013, 12:40    Post_subject: Re: Print  

rcrsn51 wrote:
Arefacti wrote:
Try to install the lexmark pet, seems that there is problem

I downloaded the lexmark_inkjet_legacy-1.0.1.pet and ppet extracted it cleanly. Maybe you got a bad download. It should be 10 MB but it looks like you only got 4 MB.

Quote:
Unsupported format 'application/vnd.cups-banner'!

Which alphaOS version are you using? I checked this in version 3 and test pages printed OK.

However, since your driver download is corrupted, it's impossible to know what is going wrong.


It works !
(The version is AlphaOS 4.0)
yes the download was effectively corrupted. BUT after a right download and install, the print didn't work yet.
SO, to verify my parameters, I print thanks to the print board the network configuration and so..It works.
Don't know why it unlocked all
but.. voilà,
Thanks again you two rcrsn51 and Simargl
(for me, a distribution without print IS NOT a distribution)
Back to top
View user's profile Send_private_message 
Scooby

Joined: 03 Mar 2012
Posts: 326

PostPosted: Mon 08 Apr 2013, 12:59    Post_subject:    

I wanted to report success on getting touchpad to work with the xorg.conf from Carolina!

But when I did mksquashfs on alpa_400.sfs it came out 6M bigger
I used xz compression.

Sim, do you use any special options to get better compression?

Still having problems with sakura terminal.

So I have to type the commands I want to run in a script file and then
rightclick and execute in spacefm.

Tried removing .conf/sakura folder - still no prompt

What is happening when I click on sakura the window shows but doesnt receive
keystrokes. Usually there is a prompt by the cursor. Mine shows only cursor that doesnt blink.

Obs! right click menu working in sakura

Can run commands at cli with X_AUTOLOGIN=no

Tried it on my old IBM T41, sakura works here with prompt

is there an alternate terminal for alphaos I can try.
I tried running /bin/bash but got no window.

Any input would be most welcome

Edited_times_total
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9260
Location: Stratford, Ontario

PostPosted: Mon 08 Apr 2013, 13:17    Post_subject: Re: Print  

Arefacti wrote:
(for me, a distribution without print IS NOT a distribution)

Agreed. I hope that other print/scan testers will report back.
Back to top
View user's profile Send_private_message 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 15:28    Post_subject:  

Scooby wrote:
I wanted to report success on getting touchpad to work with the xorg.conf from Carolina!

But when I did mksquashfs on alpa_400.sfs it came out 6M bigger
I used xz compression.

Sim, do you use any special options to get better compression?

I use this SFS_COMPRESSION="-comp xz -b 524288 -Xbcj x86"

Scooby wrote:
Still having problems with sakura terminal.

So I have to type the commands I want to run in a script file and then
rightclick and execute in spacefm.

Tried removing .conf/sakura folder - still no prompt

What is happening when I click on sakura the window shows but doesnt receive
keystrokes. Usually there is a prompt by the cursor. Mine shows only cursor that doesnt blink.

Obs! right click menu working in sakura

Can run commands at cli with X_AUTOLOGIN=no

Tried it on my old IBM T41, sakura works here with prompt

is there an alternate terminal for alphaos I can try.
I tried running /bin/bash but got no window.

Any input would be most welcome

That error with sakura is really strange, you can try xterm from attachment bellow
xterm.tar.gz
Description 
gz

 Download 
Filename  xterm.tar.gz 
Filesize  171.15 KB 
Downloaded  157 Time(s) 
Back to top
View user's profile Send_private_message Visit_website 
simargl

Joined: 11 Feb 2013
Posts: 572

PostPosted: Mon 08 Apr 2013, 15:31    Post_subject:    

New icon for spkg packages
https://bitbucket.org/simargl/spkg/commits/53bb76a448c1d12372ce3dca9033a802cb0d6d55
What do you think? Surprised
Back to top
View user's profile Send_private_message Visit_website 
Scooby

Joined: 03 Mar 2012
Posts: 326

PostPosted: Tue 09 Apr 2013, 06:25    Post_subject:    

I like the new icon, very informative!

I did a quick try(will put in more time testing later). Unpack xterm to correct folders.
Tried to run it via script, got nothing, no window!?

something is in conflict? something from profile?
Back to top
View user's profile Send_private_message 
Scooby

Joined: 03 Mar 2012
Posts: 326

PostPosted: Tue 09 Apr 2013, 15:50    Post_subject:  

Tested a bit more and got the following error from xterm

xterm: Error 32, errno 2: No such file or directory
Reason: get_pty: not enough ptys

googled and tried some different solution but couldnt get it to work?

Tried downloading MAKEDEV from Arch repo but I couldnt execute binary?
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 16 of 47 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, ..., 45, 46, 47 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1050s ][ Queries: 12 (0.0094s) ][ GZIP on ]